Update your OS and web clients to the latest version before September 30th, 2021 


This is an update regarding our certificate provider for the CName feature, Letsencrypt’s certificate expires on 30-Sep-2021 (14:01:15 GMT). They will switch over to their self-signed root certificate (ISRG X1) that does not support outdated browser versions.


Who will be affected? 

Freshteam users who have not updated their browsers and programmable frameworks (including OpenSSL (1.0.2)) after 2018. 


What will be the impact? 

Freshteam users and their end customers on outdated browser versions will see the page that reads “this connection is not secure” or a similar security-related alert that prevents them from accessing the page. 


Below is a list of OS and web clients that will be affected:

  • OpenSSL <= 1.0.2

  • Windows < XP SP3 (assuming Automatic Root Certificate Update isn’t manually disabled)

  • macOS < 10.12.1 (year 2016)

  • iOS < 10 (iPhone 5 is the lowest model that can get to iOS 10)

  • Android < 7.1.1 (but >= 2.3.6 will work if served ISRG Root X1 cross-sign)

  • Mozilla Firefox < 50

  • Ubuntu < 16.04

  • Debian < 8

  • Java 8 < 8u141

  • Java 7 < 7u151

  • NSS < 3.26

  • Amazon FireOS (Silk Browser)

How to know if this will affect you? 

Open this link on your browser. If the page loads fine, your OS and web client support the root certificate, and there is no further action required.


Please ensure to update your OS and browsers if otherwise. Refer to this solution article to know more about our OS and system requirements, and write to support@freshteam.com if you face any challenges.